Bug 21639 - Erroneous constructor redefinition causes compiler panic
Summary: Erroneous constructor redefinition causes compiler panic
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-03 03:41 UTC by Omnifarious
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-03 03:43:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
THe exact ouput of g++ -v and the .i file that causes it. (29.39 KB, application/octet-stream)
2000-12-03 03:43 UTC, Omnifarious
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Omnifarious 2000-12-03 03:41:47 UTC
When compiling a file I'll attach later, gcc gives me this panic message:

StrMod/UseTrackingVisitor.cxx:45: Internal error #19990919.
StrMod/UseTrackingVisitor.cxx:45: Internal compiler error in

Comment 1 Omnifarious 2000-12-03 03:43:03 UTC
Created attachment 5969 [details]
THe exact ouput of g++ -v and the .i file that causes it.

Comment 2 Jakub Jelinek 2000-12-06 14:39:28 UTC
Try gcc-c++-2.96-64 from rawhide, it should be fixed there.


Note You need to log in before you can comment on or make changes to this bug.